<template>
  <div>
    <div class="bg-[#F7FBFD] p-[10px] rounded-[5px] mb-[18px]">
      <div class="text-[#C2DEF2] text-[14px] mb-[5px]">Jumlah Pinjaman</div>
      <div class="text-[#4195D5] text-[24px] font-bold">Rp 5.000.000</div>
    </div>
    <div class="text-[18px] text-[#133F5D] mb-[18px] font-bold">Pilih penawaran untuk pinjaman Anda</div>
    <div class="rounded-[8px] border border-[#EAEDEF] p-5 custom-shadow mb-[18px]">
      <div class="flex items-center mb-4">
        <label class="flex text-[14px] text-[#133F5D]">
          <input @input="isUpdated = true" type="checkbox" name="platform" value="option1" class="hidden">
          <span class="custom-radio w-5 h-5 rounded-[2px] mr-3 border-[1.5px] border-[#EAEDEF] flex items-center justify-center">
            <font-awesome-icon icon="check" class="text-white text-[12px] check-icon hidden" />
          </span>
          <img :src="koinworksImage" class="w-[154px]" alt="koinworks" />
        </label>
      </div>
      <div class="ml-7 flex">
        <div class="w-[156px] shrink-0">
          <div class="text-[14px] text-[#718C9E] leading-[19px] mb-1">Jumlah Pinjaman</div>
          <div class="text-[14px] font-bold text-[#133F5D]">Rp 3.000.000,00</div>
        </div>
        <div>
          <div class="text-[14px] text-[#718C9E] leading-[19px] mb-1">Fee</div>
          <div class="text-[14px] font-bold text-[#133F5D]">1.1%</div>
        </div>
      </div>
    </div>
    <div class="rounded-[8px] border border-[#EAEDEF] p-5 custom-shadow mb-[18px]">
      <div class="flex items-center mb-4">
        <label class="flex text-[14px] text-[#133F5D]">
          <input @input="isUpdated = true" type="checkbox" name="platform" value="option1" class="hidden">
          <span class="custom-radio w-5 h-5 rounded-[2px] mr-3 border-[1.5px] border-[#EAEDEF] flex items-center justify-center">
            <font-awesome-icon icon="check" class="text-white text-[12px] check-icon hidden" />
          </span>
          <img :src="investreeImage" class="w-[86px]" alt="koinworks" />
        </label>
      </div>
      <div class="ml-7 flex">
        <div class="w-[156px] shrink-0">
          <div class="text-[14px] text-[#718C9E] leading-[19px] mb-1">Jumlah Pinjaman</div>
          <div class="text-[14px] font-bold text-[#133F5D]">Rp 2.000.000,00</div>
        </div>
        <div>
          <div class="text-[14px] text-[#718C9E] leading-[19px] mb-1">Fee</div>
          <div class="text-[14px] font-bold text-[#133F5D]">1.1%</div>
        </div>
      </div>
    </div>
    <button
      @click="showSignUpload"
      type="button"
      class="h-[46px] w-[214px] rounded-full text-center text-[16px]  mx-auto block"
      :class="isUpdated ? 'bg-[#93C854] text-white' : 'bg-[#E0E4E7] text-[#9AA6B0]'"
    >
      Simpan
    </button>
  </div>
</template>

<script>
import EventBus from '~/helpers/eventBus'

export default {
  name: 'ChoosePlatform',
  data() {
    return {
      koinworksImage: require('@/assets/images/koinworks.png'),
      investreeImage: require('@/assets/images/investree.png'),
      isUpdated: false
    }
  },
  methods: {
    showSignUpload() {
      EventBus.$emit('show-sign-upload');
      EventBus.$emit('activate-step-3');
    },
  }
}
</script>

<style lang="scss">
.custom-shadow {
  box-shadow: 0px 0px 8px 0px rgba(61, 149, 210, 0.10);
}
input[type="checkbox"]:checked + .custom-radio {
  background-color: #4195D5;
  border-color: #4195D5;

  .check-icon {
    display: block !important;
  }
}
</style>
